## ros-indigo-bwi-tasks 0.3.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(bwi_tasks)

find_package(catkin REQUIRED COMPONENTS
  actionlib
  actionlib_msgs
  bwi_kr_execution
  bwi_msgs
  roscpp
  rospy
  std_msgs
)

catkin_package(CATKIN_DEPENDS actionlib_msgs bwi_msgs std_msgs)

include_directories(${catkin_INCLUDE_DIRS})

add_executable(back_and_forth_node src/back_and_forth.cpp)
add_dependencies(back_and_forth_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(back_and_forth_node ${catkin_LIBRARIES})

add_executable(between_doors src/between_doors.cpp)
add_dependencies(between_doors ${catkin_EXPORTED_TARGETS})
target_link_libraries(between_doors ${catkin_LIBRARIES})

add_executable(filtering_tasks src/test_filter_task.cpp)
add_dependencies(filtering_tasks ${catkin_EXPORTED_TARGETS})
target_link_libraries(filtering_tasks ${catkin_LIBRARIES})

add_executable(go_to_door_node src/go_to_door.cpp)
add_dependencies(go_to_door_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(go_to_door_node ${catkin_LIBRARIES})

add_executable(go_to_location_node src/go_to_location.cpp)
add_dependencies(go_to_location_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(go_to_location_node ${catkin_LIBRARIES})

add_executable(go_to_object_node src/go_to_object.cpp)
add_dependencies(go_to_object_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(go_to_object_node ${catkin_LIBRARIES})

add_executable(learning_tasks_node src/learning_tasks.cpp)
add_dependencies(learning_tasks_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(learning_tasks_node ${catkin_LIBRARIES})

add_executable(look_for_person_node src/look_for_person.cpp)
add_dependencies(look_for_person_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(look_for_person_node ${catkin_LIBRARIES})

add_executable(meeting_experiment src/meeting_experiment.cpp)
add_dependencies(meeting_experiment ${catkin_EXPORTED_TARGETS})
target_link_libraries(meeting_experiment ${catkin_LIBRARIES})

add_executable(message_delivery src/message_delivery.cpp)
add_dependencies(message_delivery ${catkin_EXPORTED_TARGETS})
target_link_libraries(message_delivery ${catkin_LIBRARIES})

add_executable(simulator_learning_tasks_node src/simulator_learning_tasks.cpp)
add_dependencies(simulator_learning_tasks_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(simulator_learning_tasks_node ${catkin_LIBRARIES})

add_executable(visit_door_list src/visit_door_list.cpp)
add_dependencies(visit_door_list ${catkin_EXPORTED_TARGETS})
target_link_libraries(visit_door_list ${catkin_LIBRARIES})

add_executable(visit_door_list_gui src/visit_door_list_gui.cpp)
add_dependencies(visit_door_list_gui ${catkin_EXPORTED_TARGETS})
target_link_libraries(visit_door_list_gui ${catkin_LIBRARIES})

install(TARGETS
          back_and_forth_node
          between_doors
          filtering_tasks
          go_to_door_node
          go_to_location_node
          go_to_object_node
          learning_tasks_node
          look_for_person_node
          meeting_experiment
          message_delivery
          simulator_learning_tasks_node
          visit_door_list
          visit_door_list_gui
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-indigo-bwi-tasks (0.3.12-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 14 Sep 2016 05:00:00 -0000

ros-indigo-bwi-tasks (0.3.11-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-bwi-tasks (0.3.10-0trusty) trusty; urgency=high

  * bwi_tasks: fix catkin_lint errors, missing installs (#70 <https://github.com/utexas-bwi/bwi_common/issues/70>)
  * fixed misnomer, changed default locations in go to location and visit door for testing
  * Contributors: Jack O'Quin, Nathan John

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 15 Aug 2016 05:00:00 -0000

ros-indigo-bwi-tasks (0.3.9-0trusty) trusty; urgency=high

  * Created new task for sending the robot to a specific door.
  * Created go_to_object bwi_tasks, which allows the robot to go to objects annotated on the map.
  * Contributors: FernandezR

 -- Piyush Khandelwal <piyushk@gmail.com>  Fri, 05 Aug 2016 05:00:00 -0000

ros-indigo-bwi-tasks (0.3.8-0trusty) trusty; urgency=high

  * merged with yuqian's branch #51 <https://github.com/utexas-bwi/bwi_common/issues/51>
  * added example of using gui to direct the robot
  * added example task that uses the gui in C++
  * Contributors: Jivko Sinapov, Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 06 Jun 2016 05:00:00 -0000

ros-indigo-bwi-tasks (0.3.2-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 24 Mar 2015 05:00:00 -0000

ros-indigo-bwi-tasks (0.3.1-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 16 Mar 2015 05:00:00 -0000

ros-indigo-bwi-tasks (0.3.0-0trusty) trusty; urgency=high

  * fix many catkin lint errors
    For remaining error, see #13 <https://github.com/utexas-bwi/bwi_common/issues/13>
  * Initial release - moved bwi_tasks into bwi_common
  * Contributors: Jack O'Quin, Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Sun, 15 Mar 2015 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-bwi-tasks
Section: misc
Priority: extra
Maintainer: Piyush Khandelwal <piyushk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), espeak, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-bwi-kr-execution, ros-indigo-bwi-msgs, ros-indigo-catkin, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-std-msgs
Homepage: http://ros.org/wiki/bwi_tasks
Standards-Version: 3.9.2

Package: ros-indigo-bwi-tasks
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, espeak, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-bwi-kr-execution, ros-indigo-bwi-msgs, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-std-msgs
Description: High-level tasks for the UTexas Building-Wide Intelligence project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-bwi-tasks//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
